Description
===========

This cookbook provides an initial Zarafa Collaboration Platform version 7 installation on a CentOS / Red Hat Enterprise Linux server (5 and 6). It makes use of the EPEL repository in which the latest version of ZCP is maintained. In the future, recipes for Debian based distributions such as Ubuntu will be added.

This cookbook features separate recipes for all the components of a ZCP installation, including the Webaccess component; you can use the recipes all together to set up all components on one server, or on separate servers.

All the default options from the configuration files have been set in attribute files.

Requirements
============

Although this cookbook installs the ZCP software from a repository and therefore pulls in all the required software, it is recommended to use the default cookbooks to install and configure the prerequisites for the ZCP platform:

* apache2
* mysql
* php5
* openldap
* yum
* postfix
* etc.

Attributes
==========

All attributes can be found in the attribute files that have been shipped with this cookbook. The explanation for the attributes can either be found in the template files, or in the ZCP Administration manual, which can be found at:

    http://www.zarafa.com/doc/en

Usage
=====

The usage of this cookbook is rather straightforward. The only requirement is that, if a multi-tier setup is provisioned, that every node should have at least

    recipe[zarafa::server]

in its run_list. The other recipes can be used to configure and enable the other components of ZCP.

In the future, resources will be added to interact with the software, such as creating users and groups.

License and Author
==================

Author:: Daniel van den Berg (<daan@daanemanz.nl>)
Copyright:: 2012, Daniel van den Berg

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
