#
# Cookbook Name:: zarafa
# Recipe:: server
#
# Copyright 2012, Daniel van den Berg
#
# All rights reserved - Do Not Redistribute
#
include_recipe "apache2::default"
include_recipe "apache2::mod_php5"

package "catdoc" do
  action :install
end

package "poppler-utils" do
  action :install
end

package "zarafa" do
  action :install
end

template "/etc/zarafa/server.cfg" do
  source "server.cfg.erb"
  owner node['zarafa']['run_as_user']
  group node['zarafa']['run_as_group']
  mode 0640
end

service "zarafa-server" do
  supports :restart => true, :status => true, :reload => true
  action :enable
  subscribes :restart, resources("template[/etc/zarafa/server.cfg]"), :immediately
end
